## com.vividsolutions.jts.operation.predicate
Class RectangleContains

    java.lang.Object
      com.vividsolutions.jts.operation.predicate.RectangleContains

public class RectangleContains
extends java.lang.Object

Optimized implementation of spatial predicate "contains" for cases where the first `Geometry` is a rectangle.

As a further optimization, this class can be used directly to test many geometries against a single rectangle.

Version:
  1.7

Constructor Summary
`RectangleContains(Polygon rectangle)` Create a new contains computer for two geometries.

Method Summary
`boolean` `contains(Geometry geom)`
`static boolean` `contains(Polygon rectangle, Geometry b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RectangleContains

    public RectangleContains(Polygon rectangle)

  Create a new contains computer for two geometries.

Parameters:
  `rectangle` - a rectangular geometry

Method Detail

### contains

    public static boolean contains(Polygon rectangle,
                                   Geometry b)

### contains

    public boolean contains(Geometry geom)